Subject: Re: Thoughts on flexible mesh-routing of NNCP packets

From: Sergey Matveev <[email-masked]>
Date: Mon, 1 Feb 2021 11:39:00 +0300

*** John Goerzen [2021-02-01 00:21]:
>Which reminds me - when you get back a file from nncp-freq, or any other
>event that sends something back, I'm assuming it uses the via path (if any)
>defined on the system that's sending back the response?

Yes, correct.

>So I wouldn't suggest anybody just rip out nncp-call(er) and go to Syncthing
>entirely; nncp-call and the daemon are quite useful and more efficient than
>Syncthing would be in fixed topology cases, or situations with a non-TCP
>transport.

I understand. There can not be killer solution for all cases.

>One particularly interesting use for this - Syncthing can to local LAN
>discovery.

Once I wanted to create same thing in nncp-daemon/caller -- multicasted
notifications about NNCP daemons presence.

>very nice alternative to things like Dropbox, or even Nextcloud, since it can
>be run entirely serverless and disconnected.

Dropbox is not the choice of course, because it is not free software.

>Being an append-only log has me somewhat concerned.  It seems to be something
>like a "public Syncthing, but unidirectional."  IPFS seems to be catching on
>more than DAT at the moment.

I like DAT idea because it is very close to WARC:
https://en.wikipedia.org/wiki/Web_ARChive
whole website distribution through single file.
And DAT (seems) allows to effectively publish changes to it.
It seems can be conveniently archived for long term storage.

>And thank you, again, for NNCP.  Unlike many of these other things, it's
>fairly simple, well-documented, and secure and private by default.

Hope so! Glad you like it!

>Heck, a person could even use Google Drive for the packets, if one wanted.

Yes, of course, no barriers.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF